Subject: Ticket Assigned - Feedback or suggestions
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Fri, 12 Mar 2021 12:45:09 +0000

Hi Alka Pandey,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions Good Day .

Hope you are doing well.

This is with regards to my warranty  claim for my Recliner Sofa which I have made a complaint twice and still I cannot see any positive results from Home Box which is extremely disappointing. 
When I made the first complain which your team did a temporary fix on the Sofa and did not last for more than 2 months. 
But recently I opened another complaint for the same in which I got a call from your agent saying that its almost been 2 years and they cannot take the complaint which was does not make sense as the warranty states that its 2 years regardless i make a complaint even on the last month of my 2 years warranty. This is totally unethical and unprofessional.  
However when I insisted that its my second complaint and due to the Pandemic I did not want any outsiders visiting my house, your team finally collected the sofa and returned it after few days.
Upon receiving the sofa I found out the issue is still the same and I have clearly showed it to your delivery team what problem my sofa has but they did not provide any support and left saying someone from HomeBox would call me back.
Its been 2 days now  I haven't received any call from HomeBox. This Is extremely Disappointing and I did not expect such a service from a reputed company like Homebox. Very poor customer service and unacceptable response from Homebox. 

Please do the needful !

Thank you

Regards
Ibrahim Aziz
+971564204440 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2222572